# -*- coding: utf-8 -*-

from django.conf.urls import patterns, include, url
from django.conf import settings


from django.contrib import admin
admin.autodiscover()

urlpatterns = patterns('tarea.descarga_csv',
  	url(r'descarga/(?P<id>\d+)/(?P<alumno>\w+)$', 'descarga_tarea', name="descarga_tarea"),
   	url(r'descarga/(?P<alumno>\w+)$', 'descarga_tareas_alumno', name="descarga_tareas_alumno"),
   	url(r'descarga/(?P<id>\d+)/$', 'descarga_todas_tareas', name="descarga_todas_tareas"),
)

urlpatterns += patterns('tarea.views',
    url(r'evaluar/(?P<id>\d+)/$', 'evaluar_tarea', name="evaluar_tarea"),
    url(r'ver/(?P<id>\d+)/(?P<alumno>\w+)$', 'ver_tarea', name="ver_tarea"),

    url(r'realizar/(?P<id>\d+)/$', 'realizar_tarea', name="realizar_tarea"),
    url(r'realizar/$', 'ver_tareas', name="realizar_tareas_indice"),
    url(r'$', 'index', name="tareas_indice"),
    )
